Kết nối OA

ConnectOA

post
Body
codestringOptional
oa_idstring · int64Optional
stateintegerOptional
Responses
chevron-right
200

A successful response

application/json
app_idstring · int64Optional
avatarstringOptional
connection_idstring · int64Optional
connection_methodstring · enumOptional

Deprecated values: "topship"\n

Possible values:
coverstringOptional
created_atstring · date-timeOptional
current_qualitystring · enumOptionalPossible values:
daily_quotaintegerOptional
descriptionstringOptional
expires_atstring · date-timeOptional
is_verifiedbooleanOptional
last_week_qualitystring · enumOptionalPossible values:
namestringOptional
oa_idstring · int64Optional
onwer_idstring · int64Optional
remaining_quotaintegerOptional
shop_idstring · int64Optional
statusstring · enumOptionalPossible values:
updated_atstring · date-timeOptional
post
/v1/shop.Zalo/ConnectOA
200

A successful response

Request:

curl --location '$BASE_URL/v1/shop.Zalo/ConnectOA' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer $API_KEY' \
--data '{
  "code": "string",
  "oa_id": "int64",
  "state": "integer"
}'

Response:

Cấu trúc body của request

Tham số
Kiểu dữ liệu
Mô tả

code

string

Code được trả về ở redirect_url

oa_id

int64

ID của OA

state

integer

State được trả về ở redirect_url

Cấu trúc thuộc tính dữ liệu trả về

Tham số
Kiểu dữ liệu
Mô tả

app_id

int64

ID của ứng dụng

avatar

string

Đường dẫn đến ảnh bìa của OA

connection_id

int64

ID kết nối

connection_method

string

Phương thức kết nối

direct

description

string

Mô tả

is_verified

boolean

True: OA được verify

False: OA chưa được verify

name

string

Tên OA

oa_id

int64

ID của OA

owner_id

int64

ID của chủ shop trên hệ thống SenCloud

shop_id

int64

ID của shop trên hệ thống SenCloud

status

string

Trạng thái P: Đang kết nối N: Ngắt kết nối

current_quality

string

Chất lượng gửi thông báo ZNS trong 48 giờ gần nhất của OA.

  • HIGH - Mức độ chất lượng tốt

  • MEDIUM - Mức độ chất lượng trung bình

  • LOW - Mức độ chất lượng kém

  • UNDEFINED - Mức độ chất lượng OA chưa được xác định (trường hợp OA không gửi thông báo ZNS nào trong khung thời gian đánh giá)

last_week_quality

string

Chất lượng gửi thông báo ZNS trong 7 ngày gần nhất của OA.

Các giá trị trả về:

  • HIGH - Mức độ chất lượng tốt

  • MEDIUM - Mức độ chất lượng trung bình

  • LOW - Mức độ chất lượng kém

  • UNDEFINED - Mức độ chất lượng OA chưa được xác định (trường hợp OA không gửi thông báo ZNS nào trong khung thời gian đánh giá)

daily_quota

int

Số thông báo ZNS OA được gửi trong 1 ngày.

remaining_quota

int

Số thông báo ZNS OA được gửi trong ngày còn lại.

expires_at

string<date-time>

Thời gian hết hạn của refresh token

updated_at

string<date-time>

Ngày cập nhật

created_at

string<date-time>

Ngày tạo

Last updated